### Function

# EvinceDocument file_get_mime_type

#### Declaration [src]

    gchar*
    ev_file_get_mime_type (
      const gchar* uri,
      gboolean fast,
      GError** error
    )

#### Description

No description available.

#### Parameters

`uri`

  Type: `const gchar*`

  The URI.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`fast`

  Type: `gboolean`

  Whether to use fast MIME type detection.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

A newly allocated string with the MIME type of the file at `uri`, or `NULL` on error or if the MIME type could not be determined.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.